## org.apache.commons.math.exception
Class OutOfRangeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException
                          org.apache.commons.math.exception.MathIllegalNumberException
                              org.apache.commons.math.exception.OutOfRangeException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class OutOfRangeException

extends MathIllegalNumberException

Exception to be thrown when some argument is out of range.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Number` `hi` Higher bound.
`private Number` `lo` Lower bound.
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`OutOfRangeException(Number wrong, Number lo, Number hi)` Construct an exception from the mismatched dimensions.

Method Summary
`Number` `getHi()`
`Number` `getLo()`

Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### lo

    private final Number lo

  Lower bound.

### hi

    private final Number hi

  Higher bound.

Constructor Detail

### OutOfRangeException

    public OutOfRangeException(Number wrong,
                               Number lo,
                               Number hi)

  Construct an exception from the mismatched dimensions.

  Parameters:
    `wrong` - Requested value.
    `lo` - Lower bound.
    `hi` - Higher bound.

Method Detail

### getLo

    public Number getLo()

  Returns:
    the lower bound.

### getHi

    public Number getHi()

  Returns:
    the higher bound.

Copyright (c) 2003-2013 Apache Software Foundation